### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-content-item/ecl-content-item.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `ecl-content-item`
templateUrl | `./ecl-content-item.component.html`

### Index

###### Properties
eclContentBlock eclDateBlock role
###### Methods
getCssClasses
###### Inputs
variant class e2eAttr
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

variant
Type : `"image-right" | "event"`
Default value : `null`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

attr.role
Type : `string`
Default value : `'article'`

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclContentBlock
Type : `EclContentBlockComponent`
Decorators : `@ContentChild(undefined)`

eclDateBlock
Type : `EclDateBlockComponent`
Decorators : `@ContentChild(undefined)`

role
Type : `string`
Default value : `'article'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""